#include "xcleafbrushnodeleaf.h"

XCLeafBrushNodeLeaf::XCLeafBrushNodeLeaf()
    : XCLeafBrushNodeData()
    , mBrushes() {
}

XCLeafBrushNodeLeaf::~XCLeafBrushNodeLeaf()
{

}

void XCLeafBrushNodeLeaf::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        // We would parse brushes here, but we're using a placeholder
    }
}

void XCLeafBrushNodeLeaf::Clear()
{

}
